Kepler - Bug #5652

Geon Scp and spa Ssh2Exec have duplicate code.
08/06/2012 04:35 PM - Christopher Brooks

Status: New Start date: 08/06/2012
Priority: Normal Due date:

Assignee: Daniel Crawl % Done: 0%
Category: actors Estimated time: 0.00 hour
Target version: 2.X.Y Spent time: 0.00 hour
Bugzilla-ld: 5652

Description

Duplicate code detected with CPD. See

actors/src/org/geon/Scp.java line 295
actors/src/org/sdm/spa/Ssh2Exec.java line 361 # lines : 143

History

#1 - 09/17/2012 08:58 PM - Derik Barseghian

| marked these two files with FIXME notes at r30698:

Log:

Add FIXME note to these files about duplicate code that should be factored out. Marked the 3 duplicate methods that | saw with FIXMEs too, though
there may be more.

I'm punting to 2.5.

#2 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5652

#3 - 08/17/2015 08:49 AM - Daniel Crawl

- Assignee changed from Derik Barseghian to Daniel Craw!

#4 - 08/21/2015 04:07 PM - Daniel Crawl
- Target version changed from 2.5.0 to 2.X.Y

03/20/2024 1/1



http://www.tcpdf.org

